@import "src/app/core/sass/abstracts/variables";
@import "src/app/core/sass/abstracts/mixins";

.intro {
  height: 100vh;
  background-color: $color-light-grey-1;
  position: relative;
  overflow: hidden;
  display: flex;
  align-items: flex-end;
  @include respond(tab-land) {
    align-items: center;
  }
}

.intro-wrapper {
  margin-left: 6rem;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  align-items: center;
  height: 65vh;
  width: 100%;
  @include respond(phone) {
    margin-left: 0;
  }
}

.heading {
  align-self: start;
  overflow-wrap: anywhere;

  &__intro {
    font-size: 7rem;
    font-weight: bolder;
    text-transform: uppercase;
    letter-spacing: 1.3rem;

    &--1 {
      display: block;
    }

    @include respond(tab-port) {
      font-size: 5rem;
    }
  }

  @media (max-width: 36em) {
    align-self: center;
    &__intro {
      font-size: 3rem;
    }

    @media (max-width: 25em) {
      &__intro {
        font-size: 2rem;
      }
    }
  }
}

.intro-image {
  position: relative;

  &__photo {
    height: 40rem;
  }

  @include respond(tab-land) {
    &__photo {
      height: 32rem;
    }
  }
}

